- Qt 6.7
- Qt 3D
- QML Types
- Qt3D.Render
- Viewport
- Qt 6.7.2 Reference Documentation

# Viewport QML Type

A viewport on the Qt3D Scene. More...

Import Statement: | import Qt3D.Render 2.7
Inherits: | FrameGraphNode

- List of all members, including inherited members

## Properties

- gamma : real
- normalizedRect : rect

## Detailed Description

Viewport of the scene specifies at which portion of the render surface Qt3D is rendering to. Area outside the viewport is left untouched. It also controls global parameters to the rendering in that viewport like gamma.

## Property Documentation

gamma : real

Specifies the gamma factor for the viewport. The default is 2.2 which should give proper result on most screens.

normalizedRect : rect

Specifies the normalised rectangle for the viewport, i.e. the viewport rectangle is specified relative to the render surface size. Whole surface sized viewport is specified as [0.0, 0.0, 1.0, 1.0], which is the default.